Ubuntu

Wifi does not work in MSI VR601-041 laptop (Atheros AR5007EG)

Reported by usr on 2008-01-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Won't Fix
Unknown
Nominated for 2.6.22 by usr
Nominated for Trunk by usr
linux (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by usr

Bug Description

Wifi doesn't work in MSI VR601-041 laptop (Atheros AR5007EG).
I have try with Kubuntu 7.10 and with daily-live build of Ubuntu (20080123.1).

Here, the 20080123.1 lspci output:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:04.0 CardBus bridge: O2 Micro, Inc. OZ711SP1 Memory CardBus Controller (rev 01)
01:04.2 SD Host controller: O2 Micro, Inc. Integrated MMC/SD Controller (rev 02)
01:04.3 Mass storage controller: O2 Micro, Inc. Integrated MS/xD Controller (rev 01)
01:04.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
03:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

usr (usrlp) on 2008-01-23
description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in linux which is the kernel for Hardy Heron.

usr (usrlp) wrote :

Ubuntu shows the Wireless card as "Atheros AR5006EG", but in Windows the name is "Atheros AR5007EG".

usr (usrlp) on 2008-01-25
description: updated
usr (usrlp) wrote :

With NDISwrapper I can use Wi-Fi in Kubuntu 7.10 with this steps:

   1. Download the last version of the driver for Windows XP: azurewave_780_wlan_xp_nb.zip (http://global.msi.com.tw/index.php?func=driverfile&dno=5637&i=1)
   2. K Menu–> Run command... –> kcontrol –> System administration –> Restricted manager –> Root mode –> Disable the checkbox: "Atheros Harware Access Layer (HAL)" –> OK
   3. K Menu –> Run command… –> konsole –> sudo -s –> rmmod ath_pci –> echo “blacklist ath_pci” >> /etc/modprobe.d/blacklist
   4. Restart the system
   5. K Menu –> Run command… –> konsole –> sudo -s –> aptitude update –> aptitude install ndiswrapper-common ndiswrapper-utils-1.9
   6. Extract downloaded files in steep one and go to "ndis5" directory –> Settings –> Open terminal –> sudo -s –> ndiswrapper -i net5211.inf –> ndiswrapper -m –> modprobe ndiswrapper –> echo “ndiswrapper” >> /etc/modules
   7. Restart the system

Thank you for taking the time to report this bug and helping to make Ubuntu better. Per the kernel team's bug policy, can you please attach the following information. Please be sure to attach each file as a separate attachment.

* uname -a > uname-a.log
* cat /proc/version_signature > version.log
* dmesg > dmesg.log
* sudo lspci -vvnn > lspci-vvnn.log

For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help and feedback.

Changed in linux:
status: New → Incomplete
usr (usrlp) wrote :
usr (usrlp) wrote :
usr (usrlp) wrote :
usr (usrlp) wrote :

Hi usr,

The attached logs appear to be from a Gutsy release. Care to try with the latest Hardy Alpha release? Alpha2 and subsequent releases contain an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . Please note that Alpha4 will be released within the next day or two so you may want to wait. You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. If the issue still exists, please reattach your dmesg output from the latest Hardy Alpha4 release. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks.

usr (usrlp) wrote :

I go to try Kubuntu 8.04 Alpha4, but in some days (I have not got the laptop at this moment).
Thank you.

usr (usrlp) wrote :

I have tried in Kubuntu 8.04 Alpha 5 and the problem persist.

usr (usrlp) wrote :

Sorry, here the dmesg output of Kubuntu 8.04 Alpha 5.

usr (usrlp) on 2008-03-09
Changed in linux:
status: Incomplete → Confirmed
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in linux:
status: Unknown → New
usr (usrlp) wrote :

No Wi-Fi in Kubuntu-KDE3 7.10 Beta too.

usr (usrlp) wrote :

Sorry, in the previous commentary I meant "Kubuntu-KDE3 8.04 Beta".

a_ (andrea-bertolasi+ubuntu) wrote :

Hello,
I've the same wireless card but a different pc (Fujitsu Siemens Amilo LI2732) and I can't make it work.
I am doing a test with the new Ubuntu 8.04 Hardy Heron (beta!) and I will post the new logs hoping that this could help to solve the problem.

a_ (andrea-bertolasi+ubuntu) wrote :
a_ (andrea-bertolasi+ubuntu) wrote :
a_ (andrea-bertolasi+ubuntu) wrote :
usr (usrlp) wrote :

Kubuntu 8.04: The problem perssist.

usr (usrlp) wrote :

In Mandriva 2008.1 (released on April 9, 2008), no problem.

Changed in linux:
status: New → Confirmed
Changed in linux:
status: Confirmed → Invalid

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

usr (usrlp) on 2008-08-28
Changed in linux:
status: Invalid → Unknown
Changed in linux:
status: Unknown → Confirmed
usr (usrlp) wrote :

This bug persists in Kubuntu 8.10 Alpha 5.

usr (usrlp) wrote :
usr (usrlp) wrote :
usr (usrlp) wrote :
usr (usrlp) wrote :
usr (usrlp) wrote :

Kubuntu 8.10 Alpha 6: the same bug.

a_ (andrea-bertolasi+ubuntu) wrote :

For what I have read from the madwifi site (http://madwifi.org/) I understood that the driver with AR5007eg support is not ready, but it's in beta stage.
It will be distributed with the next major release (0.9.5) until then the only solution is to compile the module form the "testing" branch.

more information here: http://madwifi.org/wiki/news/20080829/new-hal-release-for-atheros-hardware

usr (usrlp) wrote :

This problem persists in Kubuntu 8.10 Beta.

usr (usrlp) wrote :

This problem persists in Kubuntu 8.10 RC.

usr (usrlp) wrote :

... and also in Kubuntu 8.10 final edition.

Changed in linux:
status: Confirmed → Won't Fix
usr (usrlp) wrote :

In Kubuntu 8.10, it is possible to enable Wi-Fi without NDISwrapper too:

   1. Kickoff menu → Search: → jockey-kde → Support for 802.11 wireless LAN cards. → Disable → Close.
   2. Kickoff menu → Search: → konsole
   3. sudo aptitude install linux-backports-modules-intrepid-generic
   4. Restart the system:
   5. Kickoff menu → Search: → jockey-kde → Support for 5xxx series of Atheros 802.11 wireless LAN cards. → Enable → Close.

Note: You need have enabled the backports repository.

karaluh (karaluh) wrote :

Confirmed for Hardy and Acer TravelMate 5320.

> In Kubuntu 8.10, it is possible to enable Wi-Fi without NDISwrapper too:

Simmilar method works for Hardy too.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Ike Panhc (ikepanhc) wrote :

Hi,

As I know, It will be supported with ath5k driver, and you could have it with 9.04 Jaunty or backport-modules-intrepid and backport-modules-hardy.

Can you confirm this issue exists with the most recent Jaunty Jackalope 9.04 release - http://www.ubuntu.com/news/ubuntu-9.04-desktop . Please let us know your results. Thanks.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
usr (usrlp) wrote :

Fixed at 9.04 (by default).

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.